#pragma once

namespace armarx::navigation::core
{
    struct Twist;
} // namespace armarx::navigation::core

namespace armarx::navigation::server
{

    /**
     * @brief An executer the server navigator will use to send its control commands to.
     */
    class ExecutorInterface
    {

    public:
        virtual ~ExecutorInterface() = default;

        virtual void move(const core::Twist& twist) = 0;
    };

} // namespace armarx::navigation::server
